Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects
Class EnterpriseObject

    java.lang.Object
      com.stc.eindex.objects.ObjectNode
          com.stc.eindex.objects.EnterpriseObject

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class EnterpriseObject
extends ObjectNode

The EnterpriseObject class represents a compilation of all objects associated with a single entity in the master index database. An enterprise object consists of one single best record (SBR) and one or more system objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.eindex.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion`

Constructor Summary
`EnterpriseObject()` Creates a new instance of the EnterpriseObject class.
`EnterpriseObject(java.lang.String euid, SBR sbr, java.util.Collection sysobjs)` Creates a new instance of the EnterpriseObject class based on the given EUID, SBR, and system objects.
`EnterpriseObject(java.lang.String euid, SBR sbr, java.util.Collection sysobjs, boolean flag)` Creates a new instance of the EnterpriseObject class.

Method Summary
`void` | `addSystemObject(SystemObject obj)` Adds a system object to an instance of EnterpriseObject.
`void` | `addSystemObjects(java.util.Collection systemobjs)` Adds multiple system objects to an instance of EnterpriseObject.
`void` | `deleteSystemObject(java.lang.String system, java.lang.String lid)` Marks a system object for deletion from an instance of EnterpriseObject.
`java.lang.String` | `getEUID()` Retrieves the EUID from an instance of EnterpriseObject.
`java.util.ArrayList` | `getFieldNames()` Retrieves a list of field names in an enterprise object.
`java.util.ArrayList` | `getFieldTypes()` Retrieves a list of field types in an enterprise object.
`SBR` | `getSBR()` Retrieves the SBR object from an instance of EnterpriseObject.
`java.lang.String` | `getStatus()` Retrieves the status value from an instance of EnterpriseObject.
`SystemObject` | `getSystemObject(java.lang.String system, java.lang.String lid)` Retrieves the system object associated with the specified system code and local ID in an instance of EnterpriseObject.
`java.util.Collection` | `getSystemObjects()` Retrieves all system objects from an instance of EnterpriseObject.
`boolean` | `isAtleastOneSOActive()` Indicates whether at least one system object in the enterprise object\ is still active.
`void` | `removeSystemObject(java.lang.String system, java.lang.String lid)` Removes a system object from an instance of EnterpriseObject.
`void` | `setEUID(java.lang.String euid)` Sets the value of the EUID field in an instance of EnterpriseObject.
`void` | `setSBR(SBR sbr)` Sets an SBR object in an instance of EnterpriseObject.

Methods inherited from class com.stc.eindex.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, createChildIndex, deleteChild, deleteChild, equals, getAllChildrenFromHashMap, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnterpriseObject

    public EnterpriseObject()
                     throws ObjectException

  Creates a new instance of the EnterpriseObject class.

  Parameters:
    None.

  Throws:
    `ObjectException` - Thrown if an error occurs while creating the enterprise object.

### EnterpriseObject

    public EnterpriseObject(java.lang.String euid,
                            SBR sbr,
                            java.util.Collection sysobjs)
                     throws ObjectException

  Creates a new instance of the EnterpriseObject class based on the given EUID, SBR, and system objects.

  Parameters:
    `euid` - The EUID of the enterprise object.
    `sbr` - The SBR object associated with the enterprise object.
    `sysobjs` - A collection of system objects that are associated with the enterprise object.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the enterprise object.

### EnterpriseObject

    public EnterpriseObject(java.lang.String euid,
                            SBR sbr,
                            java.util.Collection sysobjs,
                            boolean flag)
                     throws ObjectException

  Creates a new instance of the EnterpriseObject class. This constructor is for internal use only.

  Parameters:
    `euid` - The EUID of the enterprise object.
    `sbr` - The SBR object associated with the enterprise object.
    `sysobjs` - A collection of system objects that are associated with the enterprise object.
    `flag` - This parameter is only used internally.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the enterprise object.

Method Detail

### addSystemObject

    public void addSystemObject(SystemObject obj)
                         throws ObjectException

  Adds a system object to an instance of EnterpriseObject.

  Parameters:
    `obj` - The system object to add the enterprise object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while adding the system object.

### addSystemObjects

    public void addSystemObjects(java.util.Collection systemobjs)
                          throws ObjectException

  Adds multiple system objects to an instance of EnterpriseObject.

  Parameters:
    `systemobjs` - A collection of system objects to add to the enterprise object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while adding the system objects.

### deleteSystemObject

    public void deleteSystemObject(java.lang.String system,
                                   java.lang.String lid)
                            throws ObjectException

  Marks a system object for deletion from an instance of EnterpriseObject. The system object is deleted by a call to MasterController.updateEnterpriseObject.

  Parameters:
    `system` - The processing code of the system associated with the system object to mark for deletion.
    `lid` - The local ID associated with the specified system.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while marking the system object for deletion.

### getEUID

    public java.lang.String getEUID()
                             throws ObjectException

  Retrieves the EUID from an instance of EnterpriseObject.

  Parameters:
    None.

  Returns:
    `String` - The value of the EUID field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getFieldNames

    public java.util.ArrayList getFieldNames()

  Retrieves a list of field names in an enterprise object.

  Parameters:
    None.

  Returns:
    `ArrayList` - A list of field names.
  Throws:
    None.

### getFieldTypes

    public java.util.ArrayList getFieldTypes()

  Retrieves a list of field types in an enterprise object.

  Parameters:
    None.

  Overrides:
    `getFieldTypes` in class `ObjectNode`
  Returns:
    `ArrayList` - A list of field types.
  Throws:
    None.

### getSBR

    public SBR getSBR()

  Retrieves the SBR object from an instance of EnterpriseObject.

  Parameters:
    None.

  Returns:
    `SBR` - The SBR associated with the enterprise object.
  Throws:
    None.

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Retrieves the status value from an instance of EnterpriseObject.

  Parameters:
    None.

  Returns:
    `String` - The value of the status field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getSystemObject

    public SystemObject getSystemObject(java.lang.String system,
                                        java.lang.String lid)
                                 throws ObjectException

  Retrieves the system object associated with the specified system code and local ID in an instance of EnterpriseObject.

  Parameters:
    `system` - The processing code of the system to retrieve.
    `lid` - The local ID associated with the specified system.
  Returns:
    `SystemObject` - The system object associated with the specified system and local ID. Returns null if there is no matching system and local ID in any system objects of the enterprise object.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the object.

### getSystemObjects

    public java.util.Collection getSystemObjects()

  Retrieves all system objects from an instance of EnterpriseObject.

  Parameters:
    None.

  Returns:
    `Collection` - A collection of system objects.
  Throws:
    None.

### isAtleastOneSOActive

    public boolean isAtleastOneSOActive()
                                 throws ObjectException

  Indicates whether at least one system object in the enterprise object\ is still active.

  Parameters:
    None.

  Returns:
    `Boolean` - A Boolean indicator of whether the enterprise object contains at least one active system object. True indicates there is at least one active system object; false indicates there are no active system objects.
  Throws:
    None.
  Throws:
    `ObjectException`

### removeSystemObject

    public void removeSystemObject(java.lang.String system,
                                   java.lang.String lid)
                            throws ObjectException

  Removes a system object from an instance of EnterpriseObject. This is used to remove the SystemObject from the in memory EnterpriseObject instance. It will NOT result in the deletion of the SystemObject from the database (see deleteSystemObject).

  Parameters:
    `system` - The processing code of the system associated with the system object to remove.
    `lid` - The local ID associated with the specified system.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while removing the system object.

### setEUID

    public void setEUID(java.lang.String euid)
                 throws ObjectException

  Sets the value of the EUID field in an instance of EnterpriseObject.

  Parameters:
    `euid` - The EUID of the enterprise object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setSBR

    public void setSBR(SBR sbr)
                throws ObjectException

  Sets an SBR object in an instance of EnterpriseObject.

  Parameters:
    `sbr` - The SBR object of the enterprise object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the SBR object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.